# flask-hello-world

Проект написан на коленке за 5 минут и предназначен для того, чтобы генерировать и получать по http файлы нюбых размеров.

Использование:
* запустить сервер
* получить файл используя, например, curl

# Установка зависимостей и запуск

Для запуска проекта рекомендуется использовать **python virtual environment**.
У проекта только одна единственная зависимость, устанавливается командой:

```bash
pip install -r requirements.txt
```

Запускать проект нужно командой:

```bash
python -m flask --app main run --host=0.0.0.0
```

Чтобы получить файл, предусмотрено несколько вариантов:
* получить `index.html`: `http://хост:5000/`
* получить файл с точно заданным размером в байтах: `http://хост:5000/gen?len=длинна_файла`

При этом:
* вместо `хост` нужно вписать доменное имя или IP-адрес сервера
* вместо `длинна_файла` нужно указать число - количесво байт, при этом поддерживаются указания длинны с буквами (`100k` = 100 килобайт, `1m` = 1 мегабайт)
